<?php
/**
 * Advance Coaching : Block Patterns
 *
 * @package  Advance Coaching 
 * @since   1.0.0
 */

/**
 * Register Block Pattern Category.
 */
if ( function_exists( 'register_block_pattern_category' ) ) {

	register_block_pattern_category(
		'advance-coaching',
		array( 'label' => __( ' Advance Coaching ', 'advance-coaching' ) )
	);
}

/**
 * Register Block Patterns.
 */
if ( function_exists( 'register_block_pattern' ) ) {
	register_block_pattern(
		'advance-coaching/banner-section',
		array(
			'title'      => __( 'Banner Section', 'advance-coaching' ),
			'categories' => array( 'advance-coaching' ),
			'content'    => "<!-- wp:cover {\"url\":\"" . esc_url(get_template_directory_uri()) . "/theme-block-pattern/images/banner.png\",\"id\":711,\"dimRatio\":50,\"align\":\"full\",\"className\":\"banner-section\"} -->\n<div class=\"wp-block-cover alignfull banner-section\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim\"></span><img class=\"wp-block-cover__image-background wp-image-711\" alt=\"\" src=\"" . esc_url(get_template_directory_uri()) . "/theme-block-pattern/images/banner.png\" data-object-fit=\"cover\"/><div class=\"wp-block-cover__inner-container\"><!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column {\"width\":\"10%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:10%\"></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"39.7%\",\"className\":\"banner-section-content\"} -->\n<div class=\"wp-block-column banner-section-content\" style=\"flex-basis:39.7%\"><!-- wp:heading {\"level\":1,\"style\":{\"typography\":{\"fontSize\":\"40px\"}}} -->\n<h1 style=\"font-size:40px\">LOREM IPSUM DOLOR</h1>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":\"16px\"}}} -->\n<p style=\"font-size:16px\">Lorem Ipsum&nbsp;is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"style\":{\"color\":{\"background\":\"#00000000\"},\"typography\":{\"fontSize\":\"15px\"},\"border\":{\"radius\":\"28px\"}},\"className\":\"banner-section-btn position-relative mt-md-2\"} -->\n<div class=\"wp-block-button has-custom-font-size banner-section-btn position-relative mt-md-2\" style=\"font-size:15px\"><a class=\"wp-block-button__link has-background\" style=\"border-radius:28px;background-color:#00000000\">READ MORE</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"4.7%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:4.7%\"></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div></div>\n<!-- /wp:cover -->",
		)
	);

	register_block_pattern(
		'advance-coaching/service-section',
		array(
			'title'      => __( 'service-section', 'advance-coaching' ),
			'categories' => array( 'advance-coaching' ),
			'content'    => "<!-- wp:group {\"className\":\"service-section\"} -->\n<div class=\"wp-block-group service-section\"><!-- wp:heading {\"textAlign\":\"center\",\"style\":{\"color\":{\"text\":\"#051f31\"},\"typography\":{\"fontSize\":\"32px\"}},\"className\":\"mt-md-5 \"} -->\n<h2 class=\"has-text-align-center mt-md-5 has-text-color\" style=\"color:#051f31;font-size:32px\">WELCOME TO OUR COACHING</h2>\n<!-- /wp:heading -->\n\n<!-- wp:image {\"align\":\"center\",\"id\":849,\"width\":123,\"height\":12,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image aligncenter size-full is-resized\"><img src=\"" . esc_url(get_template_directory_uri()) . "/theme-block-pattern/images/titleline.png\" alt=\"\" class=\"wp-image-849\" width=\"123\" height=\"12\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:group {\"className\":\"service-box position-relative\"} -->\n<div class=\"wp-block-group service-box position-relative\"><!-- wp:image {\"id\":823,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"className\":\"mb-0\"} -->\n<figure class=\"wp-block-image size-full mb-0\"><img src=\"" . esc_url(get_template_directory_uri()) . "/theme-block-pattern/images/service-image1.png\" alt=\"\" class=\"wp-image-823\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:group {\"style\":{\"color\":{\"background\":\"#005bba\"}},\"className\":\"content-box p-md-3 p-3\"} -->\n<div class=\"wp-block-group content-box p-md-3 p-3 has-background\" style=\"background-color:#005bba\"><!-- wp:heading {\"textAlign\":\"center\",\"level\":4,\"style\":{\"typography\":{\"fontSize\":\"25px\"}},\"textColor\":\"white\",\"className\":\" mb-md-2 \"} -->\n<h4 class=\"has-text-align-center mb-md-2 has-white-color has-text-color\" style=\"font-size:25px\">COACHING ONLINE</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"16px\"}},\"textColor\":\"white\"} -->\n<p class=\"has-text-align-center has-white-color has-text-color\" style=\"font-size:16px\">Lorem Ipsum&nbsp;is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:buttons -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"backgroundColor\":\"white\",\"align\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"15px\"},\"color\":{\"text\":\"#051f31\"}},\"className\":\"service-section-btn position-relative mb-0 \"} -->\n<div class=\"wp-block-button aligncenter has-custom-font-size service-section-btn position-relative mb-0\" style=\"font-size:15px\"><a class=\"wp-block-button__link has-white-background-color has-text-color has-background\" style=\"color:#051f31\">READ MORE</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:group {\"className\":\"service-box position-relative\"} -->\n<div class=\"wp-block-group service-box position-relative\"><!-- wp:image {\"id\":834,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"className\":\"mb-0\"} -->\n<figure class=\"wp-block-image size-full mb-0\"><img src=\"" . esc_url(get_template_directory_uri()) . "/theme-block-pattern/images/service-image2.png\" alt=\"\" class=\"wp-image-834\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:group {\"style\":{\"color\":{\"background\":\"#005bba\"}},\"className\":\"content-box p-md-3 p-3\"} -->\n<div class=\"wp-block-group content-box p-md-3 p-3 has-background\" style=\"background-color:#005bba\"><!-- wp:heading {\"textAlign\":\"center\",\"level\":4,\"style\":{\"typography\":{\"fontSize\":\"25px\"}},\"textColor\":\"white\",\"className\":\" mb-md-2\"} -->\n<h4 class=\"has-text-align-center mb-md-2 has-white-color has-text-color\" style=\"font-size:25px\">COACHING ONLINE</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"16px\"}},\"textColor\":\"white\"} -->\n<p class=\"has-text-align-center has-white-color has-text-color\" style=\"font-size:16px\">Lorem Ipsum&nbsp;is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:buttons -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"backgroundColor\":\"white\",\"align\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"15px\"},\"color\":{\"text\":\"#051f31\"}},\"className\":\"service-section-btn position-relative mb-0 \"} -->\n<div class=\"wp-block-button aligncenter has-custom-font-size service-section-btn position-relative mb-0\" style=\"font-size:15px\"><a class=\"wp-block-button__link has-white-background-color has-text-color has-background\" style=\"color:#051f31\">READ MORE</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:group {\"className\":\"service-box position-relative\"} -->\n<div class=\"wp-block-group service-box position-relative\"><!-- wp:image {\"id\":840,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"className\":\"mb-0\"} -->\n<figure class=\"wp-block-image size-full mb-0\"><img src=\"" . esc_url(get_template_directory_uri()) . "/theme-block-pattern/images/service-image3.png\" alt=\"\" class=\"wp-image-840\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:group {\"style\":{\"color\":{\"background\":\"#005bba\"}},\"className\":\"content-box p-md-3 p-3\"} -->\n<div class=\"wp-block-group content-box p-md-3 p-3 has-background\" style=\"background-color:#005bba\"><!-- wp:heading {\"textAlign\":\"center\",\"level\":4,\"style\":{\"typography\":{\"fontSize\":\"25px\"}},\"textColor\":\"white\",\"className\":\" mb-md-2  \"} -->\n<h4 class=\"has-text-align-center mb-md-2 has-white-color has-text-color\" style=\"font-size:25px\">COACHING ONLINE</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"16px\"}},\"textColor\":\"white\"} -->\n<p class=\"has-text-align-center has-white-color has-text-color\" style=\"font-size:16px\">Lorem Ipsum&nbsp;is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:buttons -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"backgroundColor\":\"white\",\"align\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"15px\"},\"color\":{\"text\":\"#051f31\"}},\"className\":\"service-section-btn position-relative mb-0 \"} -->\n<div class=\"wp-block-button aligncenter has-custom-font-size service-section-btn position-relative mb-0\" style=\"font-size:15px\"><a class=\"wp-block-button__link has-white-background-color has-text-color has-background\" style=\"color:#051f31\">READ MORE</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group -->",
		)
	);
}